/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SQL_SELECT_ORDER_H
#define SQL_SELECT_ORDER_H

#include "sql-object.h"
#include "sql-expr.h"

#define SQL_TYPE_SELECT_ORDER		(sql_select_order_get_type ())
#define SQL_SELECT_ORDER(obj)		(G_TYPE_CHECK_INSTANCE_CAST (obj, SQL_TYPE_SELECT_ORDER, SqlSelectOrder))
#define SQL_IS_SELECT_ORDER(obj)	(G_TYPE_CHECK_INSTANCE_TYPE (obj, SQL_TYPE_SELECT_ORDER))

#define SQL_TYPE_SELECT_ORDER_WAY	(sql_select_order_way_get_type ())

typedef struct _SqlSelectOrder SqlSelectOrder;
typedef struct _SqlSelectOrderClass SqlSelectOrderClass;

/**
 * SqlSelectOrderWay:
 * @SQL_SELECT_ORDER_ASC: ascendent order
 * @SQL_SELECT_ORDER_DESC: descendent order
 **/
typedef enum
{
	 SQL_SELECT_ORDER_ASC
	,SQL_SELECT_ORDER_DESC
}
SqlSelectOrderWay;

struct _SqlSelectOrder
{
	SqlObject parent;
	SqlExpr * expr;
	SqlSelectOrderWay way;
};

struct _SqlSelectOrderClass
{
	/* <private> */
	SqlObjectClass parent;
};

GType				sql_select_order_get_type		();
GType				sql_select_order_way_get_type	();

SqlSelectOrder *	sql_select_order_new			();

#endif
