/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef VN_CALENDAR_H
#define VN_CALENDAR_H

#include <vn/vn-field.h>

#define VN_TYPE_CALENDAR			(vn_calendar_get_type ())
#define VN_CALENDAR(object) 		(G_TYPE_CHECK_INSTANCE_CAST (object, VN_TYPE_CALENDAR , VnCalendar))
#define VN_IS_CALENDAR(obj)			(G_TYPE_CHECK_INSTANCE_TYPE (obj, VN_TYPE_CALENDAR))
#define VN_CALENDAR_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST (klass, VN_TYPE_CALENDAR, VnCalendarClass))
#define VN_IS_CALENDAR_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE (klass, VN_TYPE_CALENDAR))
#define VN_CALENDAR_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS (obj, VN_TYPE_CALENDAR, VnCalendarClass))

typedef struct _VnCalendar VnCalendar;
typedef struct _VnCalendarClass VnCalendarClass;

struct _VnCalendar
{
	VnField parent;
	GtkCalendar * calendar;
	GDate date;
};

struct _VnCalendarClass
{
	/* <private> */
	VnFieldClass parent;
};

GType		vn_calendar_get_type	();
VnField *	vn_calendar_new			();

#endif