/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef VN_COMPLETION_H
#define VN_COMPLETION_H

#include <vn/vn-field.h>

#define VN_TYPE_COMPLETION				(vn_completion_get_type ())
#define VN_COMPLETION(obj)				(G_TYPE_CHECK_INSTANCE_CAST (obj, VN_TYPE_COMPLETION, VnCompletion))
#define VN_IS_COMPLETION(obj)			(G_TYPE_CHECK_INSTANCE_TYPE (obj, VN_TYPE_COMPLETION))
#define VN_COMPLETION_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST (klass, VN_TYPE_COMPLETION, VnCompletionClass))
#define VN_IS_COMPLETION_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE (klass, VN_TYPE_COMPLETION))
#define VN_COMPLETION_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS (obj, VN_TYPE_COMPLETION, VnCompletionClass))

typedef struct _VnCompletion VnCompletion;
typedef struct _VnCompletionClass VnCompletionClass;

struct _VnCompletion
{
	VnField parent;
	GtkEntry * entry;
	GtkEntryCompletion * completion;
	gboolean invalid;
	guint column;
	gchar * last_match;
	DbModel * model;
	SqlExpr * value;
	gchar * field;
	gchar * sql;
};

struct _VnCompletionClass
{
	/* <private> */
	VnFieldClass parent;
};

GType		vn_completion_get_type	();
VnField *	vn_completion_new		(const gchar * sql, const gchar * field);

#endif