/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef VN_BATCH_H
#define VN_BATCH_H

#include <db/db.h>
#include <gtk/gtk.h>

#define VN_TYPE_BATCH				(vn_batch_get_type ())
#define VN_BATCH(obj)				(G_TYPE_CHECK_INSTANCE_CAST (obj, VN_TYPE_BATCH, VnBatch))
#define VN_IS_BATCH(obj)			(G_TYPE_CHECK_INSTANCE_TYPE (obj, VN_TYPE_BATCH))
#define VN_BATCH_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST (klass, VN_TYPE_BATCH, VnBatchClass))
#define VN_IS_BATCH_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE (klass, VN_TYPE_BATCH))
#define VN_BATCH_GET_CLASS(obj)		(G_TYPE_INSTANCE_GET_CLASS (obj, VN_TYPE_BATCH, VnBatchClass))

typedef struct _VnBatch VnBatch;
typedef struct _VnBatchClass VnBatchClass;

struct _VnBatch
{
	GObject parent;
	GList * objects;
};

struct _VnBatchClass
{
	GObjectClass parent;
};

GType	vn_batch_get_type	();

void	vn_batch_add			(VnBatch * obj
								,GObject * child);
void	vn_batch_remove			(VnBatch * obj
								,GObject * child);
GList *	vn_batch_get_objects	(VnBatch * obj);											

#endif