/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef VN_MOD_H
#define VN_MOD_H

#include "vn-builder.h"

#define VN_TYPE_MOD				(vn_mod_get_type ())
#define VN_MOD(obj)				(G_TYPE_CHECK_INSTANCE_CAST (obj, VN_TYPE_MOD, VnMod))
#define VN_IS_MOD(obj)			(G_TYPE_CHECK_INSTANCE_TYPE (obj, VN_TYPE_MOD))
#define VN_MOD_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST (klass, VN_TYPE_MOD, VnModClass))
#define VN_IS_MOD_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE (klass, VN_TYPE_MOD))
#define VN_MOD_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS (obj, VN_TYPE_MOD, VnModClass))

typedef struct _VnMod VnMod;
typedef struct _VnModClass VnModClass;
typedef struct _VnModPrivate VnModPrivate;

#include "vn-gui.h"

typedef GType	(* VnModGetTypeFunc)	();
typedef void	(* VnModActivateFunc)	(VnMod * obj);

struct _VnMod
{
	GObject parent;
	VnModPrivate * priv;
};


struct _VnModClass
{
	GObjectClass parent;
	void (* activate) (VnMod * obj);
};

GType			vn_mod_get_type			();
void			vn_mod_activate			(VnMod * obj);
const gchar *	vn_mod_get_name			(VnMod * obj);
const gchar *	vn_mod_get_text_domain	(VnMod * obj);
const gchar *	vn_mod_get_data_dir		(VnMod * obj);
const gchar *	vn_mod_get_ui			(VnMod * obj);
void			vn_mod_set_ui			(VnMod * obj, gchar * ui);

#endif